; Shayne Steele (steele@cs.fsu.edu)
; July 29, 1999
; This is my .emacs file I use on a Windows NT 4.0 Service Pack 4 machine
; The version of Emacs I use is 20.4.1
; See the Emacs Homepage at
; http://www.emacs.org/

; Set titles for frame and icon (%f == file name, %b == buffer name)
(setq-default frame-title-format (list "Emacs " emacs-version " %f"))
(setq-default icon-title-format "Emacs - %b")

; Display settings
; default size and color options for all frames
(setq default-frame-alist
 '(
; frame width and height
    (width             . 81)
    (height            . 33)
; foreground, background, and cursor colors 
    (foreground-color  . "grey9")
    (background-color  . "grey91")
    (cursor-color      . "red3")
  ) 
)
; places top left corner of initial frame at location (0, 80) on screen 
(setq initial-frame-alist
 '(
    (top               . 0)
    (left              . 80)
  )
)

; Colorized fonts
; Turn on font-lock in all modes that support it
(global-font-lock-mode t)
; Maximum colors
(setq font-lock-maximum-decoration t)

; Highlighting
; highlight region between point and mark
(transient-mark-mode t)
; highlight during query
(setq query-replace-highlight t)        
; highlight incremental search
(setq search-highlight t)               

; Show matching parens
(show-paren-mode t)

; Display the column number of the point in the mode line
(column-number-mode t)

; Make Text mode the default mode for new buffers
; turn on Auto Fill mode automatically in Text mode
; Set the fill column to 80 (gives 80 column wide lines) 
(setq default-major-mode 'text-mode)
(add-hook 'text-mode-hook 'turn-on-auto-fill)
(setq-default fill-column 80)

; indent with spaces instead of tabs
(setq-default indent-tabs-mode nil)

; Ensure newline at end of all files
(setq require-final-newline t)     

; Don't add new lines to the end of a file when using down-arrow key
(setq next-line-add-newlines nil)

; Start off in "C:/" dir.
(cd "C:/")

; Replace yes-or-no question responses with y-or-n responses
(fset 'yes-or-no-p 'y-or-n-p)

; time display is last because during .emacs debugging if .emacs file is OK
; then time will display, otherwise I know that entire .emacs file was
; not read

; Display time in the mode line
(display-time)


